%global         momorel 1

Name:           perl-Audio-M4P
Version:        0.51
Release:        %{momorel}m%{?dist}
Summary:        Perl QuickTime / MP4 / iTunes Music Store audio / video file tools
License:        "Distributable, see LICENSE"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Audio-M4P/
Source0:        http://www.cpan.org/modules/by-module/Audio/Audio-M4P-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Crypt-Rijndael
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Tree-Simple
BuildRequires:  perl-Tree-Simple-View
BuildRequires:  perl-Tree-Simple
Requires:       perl-Crypt-Rijndael
Requires:       perl-Tree-Simple
Requires:       perl-Tree-Simple-View
Requires:       perl-Tree-Simple
Requires:	perl-Devel-Leak
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
M4P is a QuickTime protected audio file format.

%prep
%setup -q -n Audio-M4P-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README Todo
%{perl_vendorlib}/Audio/M4P*
%{_mandir}/man3/*

%changelog
* Sat Jul 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.51-1m)
- update to 0.51

* Sat Jul 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.50-1m)
- update to 0.50

* Tue Jun  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.46-1m)
- update to 0.46

* Mon Jun  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.45-1m)
- update to 0.45

* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.44-1m)
- update to 0.44

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.42-2m)
- rebuild against gcc43

* Mon Jan  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.42-1m)
- update to 0.42

* Sun Jan 06 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.41-1m)
- Specfile autogenerated by cpanspec 1.74 for Momonga Linux.
